0 Пользователей и 1 Гость просматривают эту тему.
  • 469 Ответов
  • 41778 Просмотров
*

master-smeta

  • Захожу иногда
  • 291
  • 10 / 0
@master-smeta
У меня вот такой результат на несуществующей странице:
Спойлер
[свернуть]
Т.е. отдается 404
Виктор, у меня тоже все отдается и работает нормально. Просто при включении отображения ошибок (общие настройки / сервер / сообщения об ошибках) в "максимум", или "для разработчиков", то на битой странице отображается ошибка Notice: Undefined index: HTTP_USER_AGENT...
Это вроде как не fatal.эррор и даже не warning. Просто посетитель уже и так негатив получил тем, что попал на несуществующую страницу, а тут еще и какие-то ошибки отображаются...
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@master-smeta
Я понимаю, у меня тоже включен режим отображения ошибок и этого не было, но раз у Вас такой notice выскакивает, значит он есть... как суслик вдалеке :)
Пересмотрю код, исправлю.
*

jimmychoo

  • Осваиваюсь на форуме
  • 42
  • 0 / 0
Здравствуйте,

установил Ваш плагин, проверил сайт через сервис https://redbot.org, ругается на Last-Modified, выдает такое сообщение, как побороть?

The Last-Modified header's value isn't a valid date.
HTTP dates have very specific syntax, and sending an invalid date can cause a number of problems, especially around caching. Common problems include sending "1 May" instead of "01 May" (the month is a fixed-width field), and sending a date in a timezone other than GMT. See the HTTP specification for more information.

Спасибо.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@jimmychoo
Здравствуйте.
В этих требованиях я вижу лишь одну будущую поправку -- отдачу времени модификации статьи исключительно в GMT без гео-привязки (например, GMT+2.00, как у меня на сайте) и день даты в двоичном виде (01). В остальном все правильно: день с месяцем корректные согласно спецификациям.

Спойлер
[свернуть]

Спасибо, что показали такой сервис проверки.
Во вторник будет новая версия.
*

jimmychoo

  • Осваиваюсь на форуме
  • 42
  • 0 / 0
@jimmychoo
Здравствуйте.
В этих требованиях я вижу лишь одну будущую поправку -- отдачу времени модификации статьи исключительно в GMT без гео-привязки (например, GMT+2.00, как у меня на сайте) и день даты в двоичном виде (01). В остальном все правильно: день с месяцем корректные согласно спецификациям.

Спойлер
[свернуть]

Спасибо, что показали такой сервис проверки.
Во вторник будет новая версия.

Спасибо, Вам! буду ждать.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@jimmychoo
Значит заголовок ответа "Expires" формируется в самой системе уже в неправильном формате:
Спойлер
[свернуть]
Это как в версии Joomla ветки 2.5, так и для 3.3.
Делать, чтобы отдавался правильный формат "Expires"?
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
Виктор приветствую.

Вопрос решен.
« Последнее редактирование: 28.02.2015, 23:39:23 от Hol1killer »
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@Hol1killer
Все поддерживается и будет работать. Спасибо большое, что всем показали адрес обновления с платной версией. Такие вещи стоит спрашивать в личке.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@All
Тестируется новая версия плагина, в которой улучшена работа в режиме кэша, а также добавлены новые опции по настройке заголовка ответа (Header Response) в режиме кэширования, а именно: Cache-Control & Expires, Vary, ETag.

При доработке использовалась следующая литература:

Смотрите скриншоты ниже или можете проверить сами на моем тестовом сайте:
Спойлер
[свернуть]
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
В режиме кэша будут добавляться заголовки Cache-Control & Expires, Vary, ETag, а в обычном они будут отдаваться стандартно через ядро Joomla ?

Нужно ли будет комментировать в ядре отдачу заголовка Expires ?

А так вообще круто если эти заголовки будут отдаваться правильно !
*

vvz

  • Осваиваюсь на форуме
  • 43
  • 0 / 0
Новая версия - это та, что доступна для покупки v.1.0.8.02?
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@Hol1killer
Да, при включенном режиме кэша будут отдаваться ваши настроенные заголовки, при выключенном -- из ядра Joomla для версии 2.5, а для версии 3.x -- из плагина, но с теми же стандартными значениями, как без плагина, за исключением Expires, т.к. для него правильное значение является текущая дата (Date Header), хотя это и не критично, но так написано в руководстве по HTTP/1.1.

@vvz
Нет, эта версия будет с одинаковым номером для обоих веток 1.1.1.

Путаницы никакой нет, на мой взгляд, т.к. название бесплатного плагина lm_any, а платного -- lmac.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@All
Новая версия доступна для скачивания.
Пользователям, купившим платную версию, рекомендуется скачать заново с сайта для исправления сервера обновлений.

В платной версии добавлена поддержка EasyBlog.
« Последнее редактирование: 06.03.2015, 00:38:22 от yunoshev »
*

kuzvik

  • Осваиваюсь на форуме
  • 36
  • 1 / 0
Доброй ночи. подскажите платный плагин будет работать для Joomla 3.3.6 + joomshopping  4.7.0 доделывать не надо ничего? или все же придется допиливать в коде ?
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@kuzvik
Будет работать.
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
@All
Новая версия доступна для скачивания.
Пользователям, купившим платную версию, рекомендуется скачать заново с сайта для исправления сервера обновлений.

В платной версии добавлена поддержка EasyBlog.

Виктор приветствую, сервер обновления не работает в версии 1.1.1

Так же хотел узнать по кэшу, если не комментировать отдачу заголовков в /libraries/joomla/application/web.php то плагин работать не будет. Expires: отдается на 7 дней вперед по рекомендуемым настройкам ?

Правильно понимаю что комментировать нужно заголовки:

-$this->setHeader('Cache-Control', 'no-store, no-cache, must-revalidate, post-check=0, pre-check=0', false);
-$this->setHeader('Expires', 'Mon, 1 Jan 2001 00:00:00 GMT', true);

Без этих комментариев у меня не работает.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@Hol1killer
Сервер обновления теперь новый, благодаря Вам, потому и не работает с первой установленной версией :)
По кэшу не совсем такие комментарии, скачайте и установите полную версию (package) 1.1.1 для версии 3.x.

По Expires рекомендованные параметры (согласно документации) - 7 дней. Но все зависит от ваших потребностей. В идеале для магазинов выставляется время добавления (изменения) товаров, для новостного портала -- время добавления новостей.

Если выбрать режим "вручную" (manual), то можно указать свои параметры в минутах.
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
@Hol1killer
Сервер обновления теперь новый, благодаря Вам, потому и не работает с первой установленной версией :)
По кэшу не совсем такие комментарии, скачайте и установите полную версию (package) 1.1.1 для версии 3.x.

По Expires рекомендованные параметры (согласно документации) - 7 дней. Но все зависит от ваших потребностей. В идеале для магазинов выставляется время добавления (изменения) товаров, для новостного портала -- время добавления новостей.

Если выбрать режим "вручную" (manual), то можно указать свои параметры в минутах.

Package когда тестировал не было :) Щас глянем.

А по серверу обновления - текущий путь будет поддерживаться, просто буду устанавливать на многое кол-во сайтов, не хотелось бы потом менять просто...
*

kuzvik

  • Осваиваюсь на форуме
  • 36
  • 1 / 0
ТОВАРИЩИ!! где у кого купить этот чудо плагин?
можно сылочку,
Вопрос еще такой я ставил ранее плагины с nevigen com и еще тут с сайта у человека скачал, так они  работают только на страницах JoomShopping, то на страницах Joomla без джумшопинга,
а это я так понимаю решение работает для всего и для страниц Joomla и для джумшопинга, поправьте пожалуйста если не прав.
*

kuzvik

  • Осваиваюсь на форуме
  • 36
  • 1 / 0
УПС....Соррри сылочку нашел, где можно приобрести,

yunoshev -сможете помочь если вдруг чего не так?
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@kuzvik
Да, работает для всех указанных в списке компонентов (см. топик).
Конечно, сегодня буду на связи, завтра сутки не будет меня, но с мобилы руку держать на пульсе буду.

@Hol1killer
Сервер будет поддерживаться.
« Последнее редактирование: 06.03.2015, 20:58:32 от yunoshev »
*

kuzvik

  • Осваиваюсь на форуме
  • 36
  • 1 / 0
yunoshev  спс за ответ! Решено покупаю!

можно контакты для связи(экстренной) в личку .Буду премногоблагодарен!
*

kuzvik

  • Осваиваюсь на форуме
  • 36
  • 1 / 0
Товарищи купил сей плагин! РАБОТАЕТ "ЧЕРТЯКА" на (joomla 3.3.6 +joomshoping 4.7.0). Разработчик молодец ( не реклама) во всяком случае помогает решить нюансы, у меня на данный момент товар в корзину не добавляется(( кто то скажет, что ну и "Н..". он тебе такой плагин нужен), но  yunoshev Обещал помочь с решением проблемы. (причем касяк с браузером... в Chrome нифига, в Opera пашет все как надо)
*

Beregbaltiki

  • Осваиваюсь на форуме
  • 21
  • 0 / 0

Работает ли плагин без проблем в Дж. 3.4.1 и не будет ли проблем при дальнейших обновлениях?!
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
Работает ли плагин без проблем в Дж. 3.4.1 и не будет ли проблем при дальнейших обновлениях?!
Возможны проблемы. При обновлении может переписать файл /libraries/joomla/application/web.php - смотрите при обновлении есть ли он в пакете с обновой. И какой пакет обновления вы ставите, если с 3.4.x на 3.4.1 то скорее всего его не будет. Если полный пакет обновления то он там в любом случаи будет и вы перезапишите его.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@All
Выложил новую версию плагина v.1.1.2 (и пакета) для Joomla v.3.3+, которое вносит важное дополнение в логике работы плагина.

Еще раз про установку версии для Joomla v.3.3+
  • при первичной установке пакета выдается сообщение, что произошла замена файла ядра Joomla (этот патч снимает ограничения Joomla на замену заголовков Last-Modified и остальных служебных);
  • название файлов пакета:  pkg_lmac_vX.X.X_j3.X.zip;
  • во время установки пакета также ставится и сам плагин;
  • название установочных файлов самого плагина: plg_system_lmac_vX.X.X_j3.X.zip;
  • сервер обновлений поддерживает обновление ТОЛЬКО для плагина;
  • после обновления Joomla, как правило,  необходимо повторно установить ВЕСЬ ПАКЕТ!
« Последнее редактирование: 28.03.2015, 13:21:26 от yunoshev »
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
Всем добрый день.

Обращаюсь к тем форумчанам, у кого стоит JShopping & Last-Modified платный вариант. Нужно проверить один момент, связанный с возможными глюками корзины при совместной работе моего плагина и корзины магазина.
У кого-то есть такие трудности?
Если да, то я, кажется, нашел решение.
Желательно иметь на сайте последнюю версию.

Жду желающих проверить.
*

Hol1killer

  • Захожу иногда
  • 224
  • 3 / 0
Виктор здравствуйте, языковая константа которая используется не работает в секции <updateservers> - мелочь но все равно решил, Вам отписаться.
*

yunoshev

  • Завсегдатай
  • 1271
  • 179 / 1
@Hol1killer
Спасибо, проверю и исправлю.
*

Falkovichs

  • Осваиваюсь на форуме
  • 18
  • 2 / 0
Приобрёл у Виктора данный плагин, ситуация у меня была не стандартная, но именно под меня была сделана сборка, хотел бы отметить отличную обратную связь и быстрое решение мелких проблем, связанных с нестандартностью моей ситуации! Спасибо и рекомендую данного разработчика!
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Готовый плагин для генерации мета тегов по шаблону

Автор zloi_genii

Ответов: 9
Просмотров: 303
Последний ответ 06.09.2021, 16:43:36
от musstudent
JL NO DOUBLES - плагин борьбы с дублями

Автор zikkuratvk

Ответов: 301
Просмотров: 41532
Последний ответ 25.06.2021, 11:47:01
от effrit
WT SEO Meta templates плагин сео-шаблонов для Joomla

Автор musstudent

Ответов: 0
Просмотров: 140
Последний ответ 29.05.2021, 09:42:49
от musstudent
last-modified и if-modified-since для Joomla 1.5/2.5

Автор Antosha

Ответов: 365
Просмотров: 68541
Последний ответ 18.02.2017, 06:48:11
от User82
плагин Advanced Google analytics код не в том месте

Автор DeniTornado

Ответов: 0
Просмотров: 802
Последний ответ 04.01.2017, 14:01:35
от DeniTornado